Retrieves all the db status list
Request Information
URI Parameters :
None.
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
db_status_list| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary key |
globally unique identifier | |
| table_name |
The name of table |
string | |
| from_status_id |
The status id from |
globally unique identifier | |
| to_status_id |
The status id to |
globally unique identifier | |
| sequence |
Sorting field (0 first), to order them |
integer | |
| action_text |
The action text |
string | |
| sys_readonly |
Is readonly? |
boolean | |
| sys_logical_delete |
Is delete? |
boolean | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
Sample:
{
"id": "e02f6b0c-9277-41ff-80bc-7c6965d00bf4",
"table_name": "sample string 2",
"from_status_id": "d480a126-3fb6-4b16-9b29-911a809fdd7d",
"to_status_id": "9819fa63-f42e-4734-b15e-4cae2a7d6e0a",
"sequence": 5,
"action_text": "sample string 6",
"sys_readonly": true,
"sys_logical_delete": true,
"modified_dateutc": "2026-06-17T01:41:44.5751229+00:00"
}